For the complete documentation index, see llms.txt. This page is also available as Markdown.

Refunds

Issue a partial refund

post
Path parameters
RefNostringRequired

Unique, system-generated order identifier.

Example: 734881310
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Body
amountnumberOptional
commentstringOptional
reasonstringOptional
Responses
200

OK

No content

post/orders/{RefNo}/refund/
200

OK

No content

Working example: Cancel a refund request

delete
Path parameters
RefNostringRequired

Unique, system-generated order identifier.

Example: 734881310
Header parameters
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Acceptstring · enumRequiredExample: application/jsonPossible values:
Responses
200

OK

application/json
RefundIdstringOptionalExample: 5
delete/orders/{RefNo}/refund/

Last updated

Was this helpful?